# MediaList

List of anime or manga

| Field                     |                                                                                                              Argument | Type                                                        | Description |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------: | ----------------------------------------------------------- | ----------- |
| **id**                    |                      [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the list entry                                    |             |
| **userId**                |                      [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the user owner of the list entry                  |             |
| **mediaId**               |                      [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the media                                         |             |
| **status**                | [MediaListStatus](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/medialiststatus/README.md) | The watching/reading status                                 |             |
| **score**                 |                   [Float](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/float/README.md) | The score of the entry                                      |             |
| format                    |         [ScoreFormat](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/scoreformat/README.md) | Force the score to be returned in the provided format type. |             |
| **progress**              |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of episodes/chapters consumed by the user        |             |
| **progressVolumes**       |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of volumes read by the user                      |             |
| **repeat**                |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of times the user has rewatched/read the media   |             |
| **priority**              |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | Priority of planning                                        |             |
| **private**               |               [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the entry should only be visible to authenticated user   |             |
| **notes**                 |                 [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Text notes                                                  |             |
| **hiddenFromStatusLists** |               [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the entry shown be hidden from non-custom lists          |             |
| **customLists**           |                     [Json](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/json/README.md) | Map of booleans for which custom lists the entry are in     |             |
| asArray                   |               [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Change return structure to an array of objects              |             |
| **advancedScores**        |                     [Json](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/json/README.md) | Map of advanced scores with name keys                       |             |
| **startedAt**             |           [FuzzyDate](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/fuzzydate/README.md) | When the entry was started by the user                      |             |
| **completedAt**           |           [FuzzyDate](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/fuzzydate/README.md) | When the entry was completed by the user                    |             |
| **updatedAt**             |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | When the entry data was last updated                        |             |
| **createdAt**             |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | When the entry data was created                             |             |
| **media**                 |                   [Media](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/media/README.md) |                                                             |             |
| **user**                  |                     [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) |                                                             |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/medialist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
